package com.fjhx.service.bom;

import com.fjhx.base.BaseService;
import com.fjhx.entity.bom.BomDetails;
import com.fjhx.params.bom.BomDetailsEx;
import com.fjhx.params.bom.BomDetailsVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * bom明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-01
 */
public interface BomDetailsService extends BaseService<BomDetails> {

    List<BomDetailsEx> getList(Map<String, Long> condition);

    void add(BomDetailsVo bomDetailsVo);

    void edit(BomDetailsVo bomDetailsVo);

    void delete(BomDetailsVo bomDetailsVo);

    BomDetails detail(BomDetailsVo bomDetailsVo);

}
